### Hierarchy

- Timer
  - Timeout

## Index

### Methods

- [toPrimitive]
- hasRef
- ref
- refresh
- unref

## Methods

### [toPrimitive]

- [toPrimitive](): number

- Overrides Timer.[toPrimitive]

  - Defined in node_modules/@types/node/timers.d.ts:62

  #### Returns number

### hasRef

- hasRef(): boolean

- Overrides Timer.hasRef

  - Defined in node_modules/@types/node/timers.d.ts:49

  If true, the `Timeout` object will keep the Node.js event loop active.

  since

    v11.0.0

  #### Returns boolean

### ref

- ref(): Timeout

- Inherited from Timer.ref

  - Defined in node_modules/@types/node/globals.d.ts:226

  #### Returns Timeout

### refresh

- refresh(): Timeout

- Overrides Timer.refresh

  - Defined in node_modules/@types/node/timers.d.ts:61

  Sets the timer's start time to the current time, and reschedules the timer to call its callback at the previously specified duration adjusted to the current time. This is useful for refreshing a timer without allocating a new JavaScript object.

  Using this on a timer that has already called its callback will reactivate the timer.

  since

    v10.2.0

  #### Returns Timeout

  a reference to `timeout`

### unref

- unref(): Timeout

- Inherited from Timer.unref

  - Defined in node_modules/@types/node/globals.d.ts:227

  #### Returns Timeout

Generated using TypeDoc